#ifndef APTF_H
#define APTF_H

#include <QMainWindow>

namespace Ui {
class AptF;
}

class AptF : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit AptF(QWidget *parent = 0);
    ~AptF();
    
private:
    QProcess AptPrc; //!<用于启动apt-get的进程对象。
    QString AptCmd="apt-get"; //!<apt-get命令行。
    Ui::AptF *ui;

private slots:
    void ShowAptOutput(); //!<apt-get有内容输出，则显示。
    void Install(); //!<安装。

private:
    pkgPackageManager * PkgMngr; //!<软件包管理器。
};

#endif // APTF_H
