#include "PreCompile.h" //apt

#include "AptF.h"
#include "ui_AptF.h"

AptF::AptF(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::AptF)
{
    ui->setupUi(this);

    connect(&AptPrc,SIGNAL(readyRead()),this,SLOT(ShowAptOutput())); //apt-get有内容输出，则显示。
}

AptF::~AptF()
{
    delete ui;
}

/*!
 * \brief AptF::Install 安装。
 */
void AptF::Install()
{
    //获取软件包的名字，再调用apt来安装。

    //获取软件包名字：
    QString Pkg2Ist=ui->PkgNmlineEdit->text(); //获取软件包名字。

    //安装：
    QStringList AptPrms; //命令行参数。
    AptPrms << "install" << Pkg2Ist; //加入软件包名字。
    AptPrc.start(AptCmd,AptPrms); //启动进程。

    return;
} //void AptF::Install() //!<安装。

/*!
 * \brief AptF::ShowAptOutput apt-get有内容输出，则显示。
 */
void AptF::ShowAptOutput()
{
    QString Otpt=AptPrc.readAll(); //读入所有输出。

    ui->OtptplainTextEdit->appendPlainText(Otpt); //显示。

    return;
} //void AptF::ShowAptOutput() //!<apt-get有内容输出，则显示。
