#ifndef PRECOMPILE_H
#define PRECOMPILE_H

#include <QFileInfo> //QFileInfo
#include <QProcess> //QProcess
#include <QDir> //QDir
#include <QtDebug> //qDebug
#include <qjson/qobjecthelper.h> //QObjectHelper
#include <qjson/serializer.h> //Serializer
#include <QTimer> //QTimer
#include <QTextCodec> //QTextCodec
#include <QTranslator>//<QTranslator>
#include <QCryptographicHash> //QCryptographicHash
#include <Wt/Dbo/Dbo> //Wt
#include <Wt/WString> //WString
#include <Wt/WDateTime> //WDateTime
#include <Wt/Utils> //Utils
#include <Wt/Dbo/WtSqlTraits> //WString
#include <Wt/Dbo/backend/Sqlite3> //Sqlite3
#include <apt-pkg/packagemanager.h> //apt
#include <apt-pkg/depcache.h> //pkgDepCache


using namespace Wt; //WString
using namespace std; //string
using namespace QJson; //QJson

namespace dbo=Wt::Dbo; //dbo命名空间别名。



#endif // PRECOMPILE_H
